Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 16/07/2016, à 15:32

Eric Bl

[Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Bonjour,

Ca m'agace un peu de devoir réécrire ce texte à cause d'une déconnexion, mais je vais rester calme.

Je suis actuellement sous kubuntu 3.19.0-61. Je fais régulièrement les mises à jour que me propose Muon. Lors des 2 ou 3 dernières fois, j'ai eu un message d'anomalie (que je n'ai pas noté), auquel je ne pouvais répondre que ok et qui était suivi d'une déclaration de Muon, très satisfait d'avoir effectué la mise à jour. De fait, quand je relançais Muon, il me disait qu'il n'y avait rien à mettre à jour.

Hier, kubuntu n'a pas démarré.

Comme je passe par grub, de façon à pouvoir démarrer aussi Windows 10 sur cette machine, j'ai pu constater que les 2 versions 3.19.0-65-generic et 3.19.0-64-generic ne fonctionnaient pas et redémarrer cependant en 3.19.0-61.

Lors de ces démarrages impossibles, en version standard, grub affiche seulement :
Loading linux 3.19.0-65-generic ...

En version recovery, le démarrage s'arrête sur :
[0.5710000] --- [end Kernel panic - not syncing : VFS : Unable to mount root fs on unknown-block (0,0)]


Je suis très content d'être sous Linux ! c'est sympa, on se sent libéré de Microsoft & Co, on n'est pas assailli de sollicitations commerciales ou de tentatives d'installation sournoises. Mais c'est quand même une illusion de croire que Linux peut être géré par un quidam naïf. Heureusement, il y a la communauté pour nous épauler dans les problèmes.

Cependant, comme on ne veut pas déranger le monde pour rien (et certains ne prennent pas de gants parfois pour nous renvoyer à la documentation ou au forum où on peut trouver 3547 cas similaires [qui ne sont similaires que pour ceux qui ont compris ce qui se passe et sont capables de transposer les commandes à leur cas spécifique ...], j'ai cherché un peu. Mais ma conclusion est toujours la même : pour s'en sortir tout seul, il faudrait faire une formation système. Or moi, ce qui m'intéresse, c'est de gagner du temps avec l'informatique et pas de faire une formation à l'informatique.

Bon, heureusement, il y a la communauté.


Histoire d'avoir des informations à fournir, j'ai essayé de faire une mise à jour en ligne de commande. Je vois bien qu'il y a des anomalies à cause de noyaux obsolètes, mais comment m'en sors-je de ces anomalies et comment supprimé-je ces noyaux obsolètes ? Ce sont les questions que je me pose. Alors je remercie d'avance celui ou celle qui voudra bien m'aider à remettre au carré mon système en me guidant pas à pas.

Voici le résultat de ma tentative :

$ sudo apt-get dist-upgrade                      [sudo] password for parents:  

Lecture des listes de paquets... Fait 
Construction de l'arbre des dépendances        
Lecture des informations d'état... Fait 
Calcul de la mise à jour... Fait 

Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :   
libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.19.0-58   linux-headers-3.19.0-58-generic linux-headers-3.19.0-59   linux-headers-3.19.0-59-generic linux-headers-3.19.0-64   linux-headers-3.19.0-64-generic linux-image-3.19.0-58-generic   linux-image-3.19.0-59-generic linux-image-3.19.0-64-generic   linux-image-extra-3.19.0-58-generic linux-image-extra-3.19.0-59-generic   linux-image-extra-3.19.0-64-generic python-ntdb 
Veuillez utiliser « apt-get autoremove » pour les supprimer. 

0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour. 
10 partiellement installés ou enlevés. 
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés. 
Souhaitez-vous continuer ? [O/n] O 

Paramétrage de linux-image-3.13.0-92-generic (3.13.0-92.139) ... 
Running depmod. 
update-initramfs: deferring update (hook will be called later) 
cp: impossible d'évaluer «/boot/initrd.img-3.13.0-92-generic»: 
Aucun fichier ou dossier de ce type 
Failed to copy /boot/initrd.img-3.13.0-92-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.13.0-92-generic.postinst line 745. 
dpkg: error processing package linux-image-3.13.0-92-generic (--configure):  
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2 

Paramétrage de linux-image-3.19.0-64-generic (3.19.0-64.72~14.04.1) ... 
Running depmod. 
update-initramfs: deferring update (hook will be called later) 
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-64-generic»: 
Aucun fichier ou dossier de ce type 
Failed to copy /boot/initrd.img-3.19.0-64-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-64-generic.postinst line 745. 
dpkg: error processing package linux-image-3.19.0-64-generic (--configure):  
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2 

Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ... 
Running depmod. 
update-initramfs: deferring update (hook will be called later) 
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: 
Aucun fichier ou dossier de ce type 
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.                                                                                        

dpkg: error processing package linux-image-3.19.0-65-generic (--configure):                                      
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2                   

dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.13.0-92-generic :           
linux-image-extra-3.13.0-92-generic dépend de linux-image-3.13.0-92-generic ; cependant :  
Le paquet linux-image-3.13.0-92-generic n'est pas encore configuré.  

dpkg: error processing package linux-image-extra-3.13.0-92-generic (--configure):  
problèmes de dépendances - laissé non configuré 

dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic : 
linux-image-generic dépend de linux-image-3.13.0-92-generic ; cependant :  
Le paquet linux-image-3.13.0-92-generic n'est pas encore configuré.  
linux-image-generic dépend de linux-image-extra-3.13.0-92-generic ; cependant :  
Le paquet linux-image-extra-3.13.0-92-generic n'est pas encore configuré.  

dpkg: error processing package linux-image-generic (--configure):  
problèmes de dépendances - laissé non configuré 

dpkg: des problèmes de dépendances empêchent la configuration de linux-generic :
Aucun rapport « apport » écrit car MaxReports a déjà été atteint                                  
Aucun rapport « apport » écrit car MaxReports a déjà été atteint                                                        
Aucun rapport « apport » écrit car MaxReports a déjà été atteint                                                   
Aucun rapport « apport » écrit car MaxReports a déjà été atteint    
Aucun rapport « apport » écrit car MaxReports a déjà été atteint                                                                    Aucun rapport « apport » écrit car MaxReports a déjà été atteint                     
Aucun rapport « apport » écrit car MaxReports a déjà été atteint   

linux-generic dépend de linux-image-generic (= 3.13.0.92.99) ; cependant :  
Le paquet linux-image-generic n'est pas encore configuré.  

dpkg: error processing package linux-generic (--configure):  
problèmes de dépendances - laissé non configuré 

dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :  
linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependant :  
Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.  

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):  
problèmes de dépendances - laissé non configuré 

dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-lts-vivid :  
linux-image-generic-lts-vivid dépend de linux-image-3.19.0-65-generic ; cependant :  
Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.  
linux-image-generic-lts-vivid dépend de linux-image-extra-3.19.0-65-generic ; cependant :  
Le paquet linux-image-extra-3.19.0-65-generic n'est pas encore configuré.  

dpkg: error processing package linux-image-generic-lts-vivid (--configure):  
problèmes de dépendances - laissé non configuré 

dpkg: des problèmes de dépendances empêchent la configuration de linux-generic-lts-vivid :  
linux-generic-lts-vivid dépend de linux-image-generic-lts-vivid (= 3.19.0.65.47) ; cependant :  
Le paquet linux-image-generic-lts-vivid n'est pas encore configuré.  

dpkg: error processing package linux-generic-lts-vivid (--configure):  
problèmes de dépendances - laissé non configuré 

dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-64-generic :  
linux-image-extra-3.19.0-64-generic dépend de linux-image-3.19.0-64-generic ; cependant :  
Le paquet linux-image-3.19.0-64-generic n'est pas encore configuré.  

dpkg: error processing package linux-image-extra-3.19.0-64-generic (--configure):  
problèmes de dépendances - laissé non configuré 

Des erreurs ont été rencontrées pendant l'exécution : 
linux-image-3.13.0-92-generic  
linux-image-3.19.0-64-generic  
linux-image-3.19.0-65-generic  
linux-image-extra-3.13.0-92-generic  
linux-image-generic  linux-generic  
linux-image-extra-3.19.0-65-generic  
linux-image-generic-lts-vivid  
linux-generic-lts-vivid  
linux-image-extra-3.19.0-64-generic 

E: Sub-process /usr/bin/dpkg returned an error code (1) 

Merci d'avance, vraiment.

Dernière modification par Eric Bl (Le 14/09/2016, à 15:07)

Hors ligne

#2 Le 16/07/2016, à 15:48

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Salut

As-tu suffisamment de place sur ton disque dur ? que donnent :

df -h
df -i

Dernière modification par xabilon (Le 16/07/2016, à 15:49)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 16/07/2016, à 22:35

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

parents@Grillo:~$ df -h
Sys. de fichiers Taille Utilisé Dispo Uti% Monté sur
udev               2,0G    4,0K  2,0G   1% /dev
tmpfs              394M    1,4M  392M   1% /run
/dev/sda6          212G    168G   33G  84% /
none               4,0K       0  4,0K   0% /sys/fs/cgroup
none               5,0M       0  5,0M   0% /run/lock
none               2,0G     80K  2,0G   1% /run/shm
none               100M     20K  100M   1% /run/user
parents@Grillo:~$ df -i
Sys. de fichiers   Inœuds IUtil.   ILibre IUti% Monté sur
udev               499441    568   498873    1% /dev
tmpfs              503268    621   502647    1% /run
/dev/sda6        14073856 440646 13633210    4% /
none               503268      2   503266    1% /sys/fs/cgroup
none               503268      3   503265    1% /run/lock
none               503268      5   503263    1% /run/shm
none               503268     19   503249    1% /run/user

Hors ligne

#4 Le 17/07/2016, à 06:19

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Ce n'est pas un problème d'espace disque.
Que donne :

ls /boot

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#5 Le 17/07/2016, à 10:29

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

parents@Grillo:~$ ls /boot
abi-3.13.0-92-generic     config-3.19.0-65-generic      System.map-3.19.0-59-generic
abi-3.19.0-58-generic     grub                          System.map-3.19.0-61-generic
abi-3.19.0-59-generic     grub.bak                      System.map-3.19.0-64-generic
abi-3.19.0-61-generic     initrd.img-3.19.0-58-generic  System.map-3.19.0-65-generic
abi-3.19.0-64-generic     initrd.img-3.19.0-59-generic  vmlinuz-3.13.0-92-generic
abi-3.19.0-65-generic     initrd.img-3.19.0-61-generic  vmlinuz-3.19.0-58-generic
config-3.13.0-92-generic  memtest86+.bin                vmlinuz-3.19.0-59-generic
config-3.19.0-58-generic  memtest86+.elf                vmlinuz-3.19.0-61-generic
config-3.19.0-59-generic  memtest86+_multiboot.bin      vmlinuz-3.19.0-64-generic
config-3.19.0-61-generic  System.map-3.13.0-92-generic  vmlinuz-3.19.0-65-generic
config-3.19.0-64-generic  System.map-3.19.0-58-generic

Hors ligne

#6 Le 17/07/2016, à 13:58

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Ok, on y voit un peu plus clair : il y a 6 noyaux installés (3.13.0-92, 3.19.0-58, 3.19.0-59, 3.19.0-61, 3.19.0-64 et 3.19.0-65), dont tous les fichiers sont présents, sauf les initrd.img correspondants à 3 d'entre eux, et ce sont donc eux qui posent problème (3.13.0-92, 3.19.0-64 et 3.19.0-65).
Tu ne peux pas démarrer dessus puisque l'initrd.img correspondant est absent, et ils ne peuvent pour la même raison pas finir leur configuration.

On va voir si c'est possible d'utiliser APT pour ré-installer ces noyaux-là :

sudo apt-get remove linux-image-generic-lts-vivid linux-generic-lts-vivid linux-image-generic  linux-generic

arrives-tu à désinstaller ces paquets, ou as-tu les mêmes erreurs (montre-les nous dans ce cas) ?


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#7 Le 17/07/2016, à 14:12

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Voici le résultat de la commande suggérée :

parents@Grillo:~$ sudo apt-get remove linux-image-generic-lts-vivid linux-generic-lts-vivid linux-image-generic  linux-generic
[sudo] password for parents: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.13.0-92
  linux-headers-3.13.0-92-generic linux-headers-3.19.0-58
  linux-headers-3.19.0-58-generic linux-headers-3.19.0-59
  linux-headers-3.19.0-59-generic linux-headers-3.19.0-64
  linux-headers-3.19.0-64-generic linux-headers-3.19.0-65
  linux-headers-3.19.0-65-generic linux-headers-generic
  linux-headers-generic-lts-vivid linux-image-3.13.0-92-generic
  linux-image-3.19.0-58-generic linux-image-3.19.0-59-generic
  linux-image-3.19.0-64-generic linux-image-3.19.0-65-generic
  linux-image-extra-3.13.0-92-generic linux-image-extra-3.19.0-58-generic
  linux-image-extra-3.19.0-59-generic linux-image-extra-3.19.0-64-generic
  linux-image-extra-3.19.0-65-generic python-ntdb thermald
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  linux-generic linux-generic-lts-vivid linux-image-generic
  linux-image-generic-lts-vivid
0 mis à jour, 0 nouvellement installés, 4 à enlever et 0 non mis à jour.
10 partiellement installés ou enlevés.
Après cette opération, 115 ko d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 305689 fichiers et répertoires déjà installés.)
Suppression de linux-generic (3.13.0.92.99) ...                                                                
Suppression de linux-generic-lts-vivid (3.19.0.65.47) ...                                                      
Suppression de linux-image-generic (3.13.0.92.99) ...                                                          
Suppression de linux-image-generic-lts-vivid (3.19.0.65.47) ...                                                
Paramétrage de linux-image-3.13.0-92-generic (3.13.0-92.139) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.13.0-92-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.13.0-92-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.13.0-92-generic.postinst line 745.
dpkg: error processing package linux-image-3.13.0-92-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
Paramétrage de linux-image-3.19.0-64-generic (3.19.0-64.72~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-64-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-64-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-64-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-64-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-65-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.13.0-92-generic :
 linux-image-extra-3.13.0-92-generic dépend de linux-image-3.13.0-92-generic ; cependant :
 Le paquet linux-image-3.13.0-92-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.13.0-92-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-64-generic :
 linux-image-extra-3.19.0-64-generic dépend de linux-image-3.19.0-64-generic ; cependant :
 Le paquet linux-image-3.19.0-64-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-64-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :
 linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependantAucun rapport « apport » écrit car MaxReports a déjà été atteint
                                         Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                                                         Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                           :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.13.0-92-generic
 linux-image-3.19.0-64-generic
 linux-image-3.19.0-65-generic
 linux-image-extra-3.13.0-92-generic
 linux-image-extra-3.19.0-64-generic
 linux-image-extra-3.19.0-65-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#8 Le 17/07/2016, à 14:50

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Ça a l'air de marcher... maintenant :

sudo apt-get purge linux-headers-3.13.0-92 linux-headers-3.13.0-92-generic linux-image-extra-3.13.0-92-generic linux-image-3.13.0-92-generic

Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#9 Le 17/07/2016, à 14:58

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Toujours des erreurs, mais apparemment quelques problèmes résolus :

$ sudo apt-get purge linux-headers-3.13.0-92 linux-headers-3.13.0-92-generic linux-image-extra-3.13.0-92-generic linux-image-3.13.0-92-generic
[sudo] password for parents: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.19.0-58
  linux-headers-3.19.0-58-generic linux-headers-3.19.0-59
  linux-headers-3.19.0-59-generic linux-headers-3.19.0-64
  linux-headers-3.19.0-64-generic linux-headers-3.19.0-65
  linux-headers-3.19.0-65-generic linux-headers-generic-lts-vivid
  linux-image-3.19.0-58-generic linux-image-3.19.0-59-generic
  linux-image-3.19.0-64-generic linux-image-3.19.0-65-generic
  linux-image-extra-3.19.0-58-generic linux-image-extra-3.19.0-59-generic
  linux-image-extra-3.19.0-64-generic linux-image-extra-3.19.0-65-generic
  python-ntdb thermald
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  linux-headers-3.13.0-92* linux-headers-3.13.0-92-generic*
  linux-headers-generic* linux-image-3.13.0-92-generic*
  linux-image-extra-3.13.0-92-generic*
0 mis à jour, 0 nouvellement installés, 5 à enlever et 0 non mis à jour.
6 partiellement installés ou enlevés.
Après cette opération, 272 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 305677 fichiers et répertoires déjà installés.)
Suppression de linux-image-extra-3.13.0-92-generic (3.13.0-92.139) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
update-initramfs: Generating /boot/initrd.img-3.13.0-92-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
Création du fichier de configuration GRUB…
Thème trouvé : /boot/grub/themes/grub_archlinux/theme.txt
Image Linux trouvée : /boot/vmlinuz-3.19.0-65-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-64-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-61-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-61-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-59-generic                                                          
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-59-generic                                            
Image Linux trouvée : /boot/vmlinuz-3.19.0-58-generic                                                          
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-58-generic                                            
Image Linux trouvée : /boot/vmlinuz-3.13.0-92-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.13.0-92-generic
Windows Recovery Environment (loader) trouvé sur /dev/sda1
Windows 10 (loader) trouvé sur /dev/sda2
Windows 10 (loader) trouvé sur /dev/sda3
fait
Purging configuration files for linux-image-extra-3.13.0-92-generic (3.13.0-92.139) ...
Suppression de linux-image-3.13.0-92-generic (3.13.0-92.139) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
update-initramfs: Deleting /boot/initrd.img-3.13.0-92-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
Création du fichier de configuration GRUB…
Thème trouvé : /boot/grub/themes/grub_archlinux/theme.txt
Image Linux trouvée : /boot/vmlinuz-3.19.0-65-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-64-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-61-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-61-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-59-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-59-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-58-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-58-generic
Windows Recovery Environment (loader) trouvé sur /dev/sda1
Windows 10 (loader) trouvé sur /dev/sda2
Windows 10 (loader) trouvé sur /dev/sda3
fait
Purging configuration files for linux-image-3.13.0-92-generic (3.13.0-92.139) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.13.0-92-generic /boot/vmlinuz-3.13.0-92-generic
Suppression de linux-headers-generic (3.13.0.92.99) ...
Suppression de linux-headers-3.13.0-92-generic (3.13.0-92.139) ...
Suppression de linux-headers-3.13.0-92 (3.13.0-92.139) ...
Paramétrage de linux-image-3.19.0-64-generic (3.19.0-64.72~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-64-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-64-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-64-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-64-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
   Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                   dpkg: error processing package linux-image-3.19.0-65-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-64-generic :
 linux-image-extra-3.19.0-64-generic dépend de linux-image-3.19.0-64-generic ; cependant :
 Le paquet linux-image-3.19.0-64-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-64-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :
 linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.19.0-64-generic
 linux-image-3.19.0-65-generic
 linux-image-extra-3.19.0-64-generic
 linux-image-extra-3.19.0-65-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#10 Le 17/07/2016, à 15:02

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Oui, l'important c'est que le noyau 3.13.0-92 a été désinstallé.
Il faut maintenant faire pareil pour les 2 autres. Donc la même commande mais en remplaçant 3.13.0-92 par 3.19.0-64, et ensuite par 3.19.0-65.
À l'issue de la dernière tu ne devrais plus avoir d'erreurs, mais la réparation ne sera pas finie pour autant.


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#11 Le 17/07/2016, à 15:25

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Bon, j'ai dû avoir un léger blanc. Je n'ai pas vraiment regardé le résultat. J'étais confiant. Je pense qu'il n'a pas eu de message qui m'aurait réveillé. Il m'a demandé de redémarrer.
La version 3.19.0-61 était en tête de grub. Ca a bien fonctionné.

Je mets le ls/boot pour avoir l'air moins bête.

ls /boot
abi-3.19.0-58-generic     grub.bak                      System.map-3.19.0-58-generic
abi-3.19.0-59-generic     initrd.img-3.19.0-58-generic  System.map-3.19.0-59-generic
abi-3.19.0-61-generic     initrd.img-3.19.0-59-generic  System.map-3.19.0-61-generic
config-3.19.0-58-generic  initrd.img-3.19.0-61-generic  vmlinuz-3.19.0-58-generic
config-3.19.0-59-generic  memtest86+.bin                vmlinuz-3.19.0-59-generic
config-3.19.0-61-generic  memtest86+.elf                vmlinuz-3.19.0-61-generic
grub                      memtest86+_multiboot.bin

Hors ligne

#12 Le 17/07/2016, à 15:52

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

ok, maintenant on va remettre ça à neuf :

sudo apt-get update
sudo apt-get install linux-generic-lts-vivid

Ça installera le dernier noyau. Des erreurs ?

Dernière modification par xabilon (Le 17/07/2016, à 15:54)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#13 Le 17/07/2016, à 16:16

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Pas de problème sur l'update.

parents@Grillo:~$ sudo apt-get update
[sudo] password for parents: 
Ign http://fr.archive.ubuntu.com trusty InRelease
Atteint http://security.ubuntu.com trusty-security InRelease                   
Ign http://extras.ubuntu.com trusty InRelease                                  
Réception de : 1 http://fr.archive.ubuntu.com trusty-updates InRelease [65,9 kB]
Atteint http://ppa.launchpad.net trusty InRelease                              
Atteint http://extras.ubuntu.com trusty Release.gpg                            
Atteint http://ppa.launchpad.net trusty InRelease                              
Atteint http://extras.ubuntu.com trusty Release                                
Atteint http://security.ubuntu.com trusty-security/main Sources                
Atteint http://ppa.launchpad.net trusty/main amd64 Packages                    
Atteint http://fr.archive.ubuntu.com trusty-backports InRelease                
Atteint http://security.ubuntu.com trusty-security/restricted Sources          
Atteint http://extras.ubuntu.com trusty/main Sources                           
Atteint http://fr.archive.ubuntu.com trusty Release.gpg                        
Atteint http://ppa.launchpad.net trusty/main i386 Packages                     
Réception de : 2 http://fr.archive.ubuntu.com trusty-updates/main Sources [279 kB]
Atteint http://extras.ubuntu.com trusty/main amd64 Packages                    
Atteint http://ppa.launchpad.net trusty/main Translation-en                    
Atteint http://extras.ubuntu.com trusty/main i386 Packages                     
Atteint http://ppa.launchpad.net trusty/main amd64 Packages                    
Atteint http://ppa.launchpad.net trusty/main i386 Packages                     
Réception de : 3 http://fr.archive.ubuntu.com trusty-updates/restricted Sources [5 352 B]
Ign http://download.ebz.epson.net lsb3.2 InRelease                             
Atteint http://ppa.launchpad.net trusty/main Translation-en                    
Réception de : 4 http://fr.archive.ubuntu.com trusty-updates/universe Sources [158 kB]
Réception de : 5 http://fr.archive.ubuntu.com trusty-updates/multiverse Sources [5 929 B]
Réception de : 6 http://fr.archive.ubuntu.com trusty-updates/main amd64 Packages [799 kB]
Atteint http://security.ubuntu.com trusty-security/universe Sources            
Atteint http://download.ebz.epson.net lsb3.2 Release.gpg                       
Atteint http://security.ubuntu.com trusty-security/multiverse Sources          
Atteint http://security.ubuntu.com trusty-security/main amd64 Packages         
Atteint http://security.ubuntu.com trusty-security/restricted amd64 Packages   
Atteint http://security.ubuntu.com trusty-security/universe amd64 Packages     
Atteint http://security.ubuntu.com trusty-security/multiverse amd64 Packages   
Atteint http://download.ebz.epson.net lsb3.2 Release                           
Atteint http://security.ubuntu.com trusty-security/main i386 Packages          
Ign http://extras.ubuntu.com trusty/main Translation-fr_FR                     
Atteint http://security.ubuntu.com trusty-security/restricted i386 Packages    
Ign http://extras.ubuntu.com trusty/main Translation-fr                                                        
Atteint http://security.ubuntu.com trusty-security/universe i386 Packages                                      
Ign http://extras.ubuntu.com trusty/main Translation-en                                                        
Atteint http://security.ubuntu.com trusty-security/multiverse i386 Packages                                    
Atteint http://security.ubuntu.com trusty-security/main Translation-en         
Atteint http://security.ubuntu.com trusty-security/multiverse Translation-en   
Réception de : 7 http://fr.archive.ubuntu.com trusty-updates/restricted amd64 Packages [15,9 kB]
Atteint http://security.ubuntu.com trusty-security/restricted Translation-en   
Atteint http://download.ebz.epson.net lsb3.2/main amd64 Packages               
Réception de : 8 http://fr.archive.ubuntu.com trusty-updates/universe amd64 Packages [364 kB]
Atteint http://security.ubuntu.com trusty-security/universe Translation-en     
Atteint http://download.ebz.epson.net lsb3.2/main i386 Packages                
Réception de : 9 http://fr.archive.ubuntu.com trusty-updates/multiverse amd64 Packages [13,2 kB]
Réception de : 10 http://fr.archive.ubuntu.com trusty-updates/main i386 Packages [765 kB]
Atteint http://download.ebz.epson.net lsb3.2/main Translation-fr_FR            
Atteint http://download.ebz.epson.net lsb3.2/main Translation-fr     
Réception de : 11 http://fr.archive.ubuntu.com trusty-updates/restricted i386 Packages [15,6 kB]
Réception de : 12 http://fr.archive.ubuntu.com trusty-updates/universe i386 Packages [365 kB]
Atteint http://download.ebz.epson.net lsb3.2/main Translation-en               
Réception de : 13 http://fr.archive.ubuntu.com trusty-updates/multiverse i386 Packages [13,6 kB]
Atteint http://fr.archive.ubuntu.com trusty-updates/main Translation-en
Atteint http://fr.archive.ubuntu.com trusty-updates/multiverse Translation-en  
Atteint http://fr.archive.ubuntu.com trusty-updates/restricted Translation-en  
Atteint http://fr.archive.ubuntu.com trusty-updates/universe Translation-en
Atteint http://fr.archive.ubuntu.com trusty-backports/main Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/universe Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse Sources
Atteint http://fr.archive.ubuntu.com trusty-backports/main amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/universe amd64 Packages  
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/main i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/universe i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com trusty-backports/main Translation-en
Atteint http://fr.archive.ubuntu.com trusty-backports/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com trusty-backports/restricted Translation-en
Atteint http://fr.archive.ubuntu.com trusty-backports/universe Translation-en
Atteint http://fr.archive.ubuntu.com trusty Release           
Atteint http://fr.archive.ubuntu.com trusty/main Sources      
Atteint http://fr.archive.ubuntu.com trusty/restricted Sources
Atteint http://fr.archive.ubuntu.com trusty/universe Sources
Atteint http://fr.archive.ubuntu.com trusty/multiverse Sources
Atteint http://fr.archive.ubuntu.com trusty/main amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty/restricted amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty/universe amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty/multiverse amd64 Packages
Atteint http://fr.archive.ubuntu.com trusty/main i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/restricted i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/universe i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/multiverse i386 Packages
Atteint http://fr.archive.ubuntu.com trusty/main Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/main Translation-en
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/multiverse Translation-en
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/restricted Translation-en
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-fr
Atteint http://fr.archive.ubuntu.com trusty/universe Translation-en
Ign http://fr.archive.ubuntu.com trusty/main Translation-fr_FR
Ign http://fr.archive.ubuntu.com trusty/multiverse Translation-fr_FR
Ign http://fr.archive.ubuntu.com trusty/restricted Translation-fr_FR           
Ign http://fr.archive.ubuntu.com trusty/universe Translation-fr_FR             
2 865 ko réceptionnés en 8s (352 ko/s)                                         
Lecture des listes de paquets... Fait

Mais une anomalie sur linux-generic-lts-vivid   (Je l'ai signalé par un <================================= c'est là)
N.B. Je n'ai pas fait "apt-get autoremove" qui est conseillé. Est-ce que je le fais ?

parents@Grillo:~$ sudo apt-get install linux-generic-lts-vivid
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
          Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
            libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.19.0-58
            linux-headers-3.19.0-58-generic linux-headers-3.19.0-59
            linux-headers-3.19.0-59-generic linux-image-3.19.0-58-generic
            linux-image-3.19.0-59-generic linux-image-extra-3.19.0-58-generic
            linux-image-extra-3.19.0-59-generic python-ntdb
          Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  linux-headers-3.19.0-65 linux-headers-3.19.0-65-generic
  linux-headers-generic-lts-vivid linux-image-3.19.0-65-generic
  linux-image-extra-3.19.0-65-generic linux-image-generic-lts-vivid
Paquets suggérés :
  fdutils linux-lts-vivid-tools
Les NOUVEAUX paquets suivants seront installés :
  linux-generic-lts-vivid linux-headers-3.19.0-65
  linux-headers-3.19.0-65-generic linux-headers-generic-lts-vivid
  linux-image-3.19.0-65-generic linux-image-extra-3.19.0-65-generic
  linux-image-generic-lts-vivid
0 mis à jour, 7 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/65,2 Mo dans les archives.
Après cette opération, 289 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O


Sélection du paquet linux-image-3.19.0-65-generic précédemment désélectionné.
(Lecture de la base de données... 215651 fichiers et répertoires déjà installés.)
Préparation du décompactage de .../linux-image-3.19.0-65-generic_3.19.0-65.73~14.04.1_amd64.deb ...
Done.
Décompactage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Sélection du paquet linux-image-extra-3.19.0-65-generic précédemment désélectionné.
Préparation du décompactage de .../linux-image-extra-3.19.0-65-generic_3.19.0-65.73~14.04.1_amd64.deb ...
Décompactage de linux-image-extra-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Sélection du paquet linux-image-generic-lts-vivid précédemment désélectionné.
Préparation du décompactage de .../linux-image-generic-lts-vivid_3.19.0.65.47_amd64.deb ...
Décompactage de linux-image-generic-lts-vivid (3.19.0.65.47) ...
Sélection du paquet linux-headers-3.19.0-65 précédemment désélectionné.
Préparation du décompactage de .../linux-headers-3.19.0-65_3.19.0-65.73~14.04.1_all.deb ...
Décompactage de linux-headers-3.19.0-65 (3.19.0-65.73~14.04.1) ...
Sélection du paquet linux-headers-3.19.0-65-generic précédemment désélectionné.
Préparation du décompactage de .../linux-headers-3.19.0-65-generic_3.19.0-65.73~14.04.1_amd64.deb ...
Décompactage de linux-headers-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Sélection du paquet linux-headers-generic-lts-vivid précédemment désélectionné.
Préparation du décompactage de .../linux-headers-generic-lts-vivid_3.19.0.65.47_amd64.deb ...
Décompactage de linux-headers-generic-lts-vivid (3.19.0.65.47) ...
Sélection du paquet linux-generic-lts-vivid précédemment désélectionné.
Préparation du décompactage de .../linux-generic-lts-vivid_3.19.0.65.47_amd64.deb ...
Décompactage de linux-generic-lts-vivid (3.19.0.65.47) ...
Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...

Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: Aucun fichier ou dossier de ce type         <======================================= C'est là
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-65-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :
 linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-lts-vivid :
 linux-image-generic-lts-vivid dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.
 linux-image-generic-lts-vivid dépend de linux-image-extra-3.19.0-65-generic ; cependant :
 Le paquet linux-image-extra-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
Paramétrage de linux-headers-3.19.0-65 (3.1Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                              Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                 9.0-65.73~14.04.1) ...
Paramétrage de linux-headers-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Paramétrage de linux-headers-generic-lts-vivid (3.19.0.65.47) ...
dpkg: des problèmes de dépendances empêchent la configuration de linux-generic-lts-vivid :
 linux-generic-lts-vivid dépend de linux-image-generic-lts-vivid (= 3.19.0.65.47) ; cependant :
 Le paquet linux-image-generic-lts-vivid n'est pas encore configuré.

dpkg: error processing package linux-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.19.0-65-generic
 linux-image-extra-3.19.0-65-generic
 linux-image-generic-lts-vivid
 linux-generic-lts-vivid
E: Sub-process /usr/bin/dpkg returned an error code (1)

N.B. Je n'ai pas fait "apt-get autoremove" qui est conseillé. Est-ce que je le fais ?

Hors ligne

#14 Le 17/07/2016, à 16:31

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

D'accord... je me demande si ce ne sont pas les noyaux eux-mêmes qui sont beugués...
On tente la même chose, mais avec un clean avant :

sudo apt-get clean
sudo apt-get install linux-generic-lts-vivid

ne fais pas encore l'autoremove, on le fera lorsque tout sera rentré dans l'ordre et les noyaux les plus récents installés.


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#15 Le 17/07/2016, à 16:35

moko138

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

xabilon,
as-tu vu

unknown-block (0,0)

?


%NOINDEX%
Un utilitaire méconnu : ncdu

Hors ligne

#16 Le 17/07/2016, à 16:44

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Apparemment, le clean ne change pas le problème

parents@Grillo:~$ sudo apt-get clean
[sudo] password for parents: 

parents@Grillo:~$ sudo apt-get install linux-generic-lts-vivid
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
linux-generic-lts-vivid est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.19.0-58
  linux-headers-3.19.0-58-generic linux-headers-3.19.0-59
  linux-headers-3.19.0-59-generic linux-image-3.19.0-58-generic
  linux-image-3.19.0-59-generic linux-image-extra-3.19.0-58-generic
  linux-image-extra-3.19.0-59-generic python-ntdb
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
4 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-65-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :
 linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-lts-vivid :
 linux-image-generic-lts-vivid dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.
 linux-image-generic-lts-vivid dépend de linux-image-extra-3.19.0-65-generic ; cependant :
 Le paquet linux-image-extra-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré                                                               
dpkg: des problèmes de dépendances empêchAucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.                                                                   
                                            Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                               Aucun rapport « apport » écrit car MaxReports a déjà été atteint
ent la configuration de linux-generic-lts-vivid :
 linux-generic-lts-vivid dépend de linux-image-generic-lts-vivid (= 3.19.0.65.47) ; cependant :
 Le paquet linux-image-generic-lts-vivid n'est pas encore configuré.

dpkg: error processing package linux-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.19.0-65-generic
 linux-image-extra-3.19.0-65-generic
 linux-image-generic-lts-vivid
 linux-generic-lts-vivid
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#17 Le 17/07/2016, à 16:50

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

moko138 a écrit :

xabilon,
as-tu vu

unknown-block (0,0)

?

Oui, mais je pensais que c'était dû à l'absence de fichier initrd.img pour le noyau en question ; tu as un autre avis là-dessus ?

Dernière modification par xabilon (Le 17/07/2016, à 16:50)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#18 Le 17/07/2016, à 16:55

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Eric Bl : y-a-t'il une raison pour laquelle tu utilises l'Enblement Stack (les noyaux de Ubuntu 15.04 sur Ubuntu 14.04) ?


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#19 Le 17/07/2016, à 17:00

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Une raison ? Sûrement. Mais je ne la connais pas. Je ne sais pas ce que cela veut dire.

Hors ligne

#20 Le 17/07/2016, à 17:06

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

ok, alors essaye ceci :

sudo apt-get purge linux-headers-3.19.0-58-generic linux-image-3.19.0-58-generic linux-image-extra-3.19.0-58-generic
sudo apt-get install linux-generic-lts-wily

Dernière modification par xabilon (Le 17/07/2016, à 17:09)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#21 Le 17/07/2016, à 17:22

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

parents@Grillo:~$ sudo apt-get purge linux-headers-3.19.0-58-generic linux-image-3.19.0-58-generic linux-image-extra-3.19.0-58-generic
[sudo] password for parents: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.19.0-58
  linux-headers-3.19.0-59 linux-headers-3.19.0-59-generic
  linux-image-3.19.0-59-generic linux-image-extra-3.19.0-59-generic
  python-ntdb
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets suivants seront ENLEVÉS :
  linux-headers-3.19.0-58-generic* linux-image-3.19.0-58-generic*
  linux-image-extra-3.19.0-58-generic*
0 mis à jour, 0 nouvellement installés, 3 à enlever et 0 non mis à jour.
4 partiellement installés ou enlevés.
Après cette opération, 222 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] O
(Lecture de la base de données... 245849 fichiers et répertoires déjà installés.)
Suppression de linux-headers-3.19.0-58-generic (3.19.0-58.64~14.04.1) ...
Suppression de linux-image-extra-3.19.0-58-generic (3.19.0-58.64~14.04.1) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
update-initramfs: Generating /boot/initrd.img-3.19.0-58-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
Création du fichier de configuration GRUB…
Thème trouvé : /boot/grub/themes/grub_archlinux/theme.txt
Image Linux trouvée : /boot/vmlinuz-3.19.0-65-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-61-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-61-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-59-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-59-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-58-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-58-generic
Windows Recovery Environment (loader) trouvé sur /dev/sda1
Windows 10 (loader) trouvé sur /dev/sda2
Windows 10 (loader) trouvé sur /dev/sda3
fait                                                                                                           
Purging configuration files for linux-image-extra-3.19.0-58-generic (3.19.0-58.64~14.04.1) ...                 
Suppression de linux-image-3.19.0-58-generic (3.19.0-58.64~14.04.1) ...                                        
Examining /etc/kernel/postrm.d .                                                                               
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
update-initramfs: Deleting /boot/initrd.img-3.19.0-58-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
Création du fichier de configuration GRUB…
Thème trouvé : /boot/grub/themes/grub_archlinux/theme.txt
Image Linux trouvée : /boot/vmlinuz-3.19.0-65-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-61-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-61-generic
Image Linux trouvée : /boot/vmlinuz-3.19.0-59-generic
Image mémoire initiale trouvée : /boot/initrd.img-3.19.0-59-generic
Windows Recovery Environment (loader) trouvé sur /dev/sda1
Windows 10 (loader) trouvé sur /dev/sda2
Windows 10 (loader) trouvé sur /dev/sda3
fait
Purging configuration files for linux-image-3.19.0-58-generic (3.19.0-58.64~14.04.1) ...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.19.0-58-generic /boot/vmlinuz-3.19.0-58-generic
Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-65-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :
 linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-lts-vivid :
 linux-image-generic-lts-vivid dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.
 linux-image-generic-lts-vivid dépend de linux-image-extra-3.19.0-65-generic ; cependant :
 Le paquet linux-image-extra-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchAucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                            Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                               Aucun rapport « apport » écrit car MaxReports a déjà été atteint
ent la configuration de linux-generic-lts-vivid :
 linux-generic-lts-vivid dépend de linux-image-generic-lts-vivid (= 3.19.0.65.47) ; cependant :
 Le paquet linux-image-generic-lts-vivid n'est pas encore configuré.

dpkg: error processing package linux-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.19.0-65-generic
 linux-image-extra-3.19.0-65-generic
 linux-image-generic-lts-vivid
 linux-generic-lts-vivid
E: Sub-process /usr/bin/dpkg returned an error code (1)
parents@Grillo:~$ 
parents@Grillo:~$ sudo apt-get install linux-generic-lts-wily
[sudo] password for parents: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libhdb9-heimdal libkdc2-heimdal libntdb1 linux-headers-3.19.0-58
  linux-headers-3.19.0-59 linux-headers-3.19.0-59-generic
  linux-image-3.19.0-59-generic linux-image-extra-3.19.0-59-generic
  python-ntdb
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  linux-headers-4.2.0-42 linux-headers-4.2.0-42-generic
  linux-headers-generic-lts-wily linux-image-4.2.0-42-generic
  linux-image-extra-4.2.0-42-generic linux-image-generic-lts-wily
Paquets suggérés :
  fdutils linux-lts-wily-tools
Les NOUVEAUX paquets suivants seront installés :
  linux-generic-lts-wily linux-headers-4.2.0-42 linux-headers-4.2.0-42-generic
  linux-headers-generic-lts-wily linux-image-4.2.0-42-generic
  linux-image-extra-4.2.0-42-generic linux-image-generic-lts-wily
0 mis à jour, 7 nouvellement installés, 0 à enlever et 0 non mis à jour.
4 partiellement installés ou enlevés.
Il est nécessaire de prendre 65,9 Mo dans les archives.
Après cette opération, 295 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Réception de : 1 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-4.2.0-42-generic amd64 4.2.0-42.49~14.04.1 [17,2 MB]
Réception de : 2 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-extra-4.2.0-42-generic amd64 4.2.0-42.49~14.04.1 [38,3 MB]
Réception de : 3 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-image-generic-lts-wily amd64 4.2.0.42.34 [2 318 B]
Réception de : 4 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-4.2.0-42 all 4.2.0-42.49~14.04.1 [9 600 kB]
Réception de : 5 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-4.2.0-42-generic amd64 4.2.0-42.49~14.04.1 [780 kB]
Réception de : 6 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-headers-generic-lts-wily amd64 4.2.0.42.34 [2 294 B]
Réception de : 7 http://fr.archive.ubuntu.com/ubuntu/ trusty-updates/main linux-generic-lts-wily amd64 4.2.0.42.34 [1 798 B]
65,9 Mo réceptionnés en 51s (1 283 ko/s)                                                                       
Sélection du paquet linux-image-4.2.0-42-generic précédemment désélectionné.                                   
(Lecture de la base de données... 231485 fichiers et répertoires déjà installés.)                              
Préparation du décompactage de .../linux-image-4.2.0-42-generic_4.2.0-42.49~14.04.1_amd64.deb ...              
Done.
Décompactage de linux-image-4.2.0-42-generic (4.2.0-42.49~14.04.1) ...
Sélection du paquet linux-image-extra-4.2.0-42-generic précédemment désélectionné.
Préparation du décompactage de .../linux-image-extra-4.2.0-42-generic_4.2.0-42.49~14.04.1_amd64.deb ...
Décompactage de linux-image-extra-4.2.0-42-generic (4.2.0-42.49~14.04.1) ...
Sélection du paquet linux-image-generic-lts-wily précédemment désélectionné.
Préparation du décompactage de .../linux-image-generic-lts-wily_4.2.0.42.34_amd64.deb ...
Décompactage de linux-image-generic-lts-wily (4.2.0.42.34) ...
Sélection du paquet linux-headers-4.2.0-42 précédemment désélectionné.
Préparation du décompactage de .../linux-headers-4.2.0-42_4.2.0-42.49~14.04.1_all.deb ...
Décompactage de linux-headers-4.2.0-42 (4.2.0-42.49~14.04.1) ...
Sélection du paquet linux-headers-4.2.0-42-generic précédemment désélectionné.
Préparation du décompactage de .../linux-headers-4.2.0-42-generic_4.2.0-42.49~14.04.1_amd64.deb ...
Décompactage de linux-headers-4.2.0-42-generic (4.2.0-42.49~14.04.1) ...
Sélection du paquet linux-headers-generic-lts-wily précédemment désélectionné.
Préparation du décompactage de .../linux-headers-generic-lts-wily_4.2.0.42.34_amd64.deb ...
Décompactage de linux-headers-generic-lts-wily (4.2.0.42.34) ...
Sélection du paquet linux-generic-lts-wily précédemment désélectionné.
Préparation du décompactage de .../linux-generic-lts-wily_4.2.0.42.34_amd64.deb ...
Décompactage de linux-generic-lts-wily (4.2.0.42.34) ...
Paramétrage de linux-image-3.19.0-65-generic (3.19.0-65.73~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-3.19.0-65-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-3.19.0-65-generic to /initrd.img at /var/lib/dpkg/info/linux-image-3.19.0-65-generic.postinst line 745.
dpkg: error processing package linux-image-3.19.0-65-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-3.19.0-65-generic :
 linux-image-extra-3.19.0-65-generic dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-3.19.0-65-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-lts-vivid :
 linux-image-generic-lts-vivid dépend de linux-image-3.19.0-65-generic ; cependant :
 Le paquet linux-image-3.19.0-65-generic n'est pas encore configuré.
 linux-image-generic-lts-vivid dépend de linux-image-extra-3.19.0-65-generic ; cependant :
 Le paquet linux-image-extra-3.19.0-65-generic n'est pas encore configuré.

dpkg: error processing package linux-image-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchAucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                            Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                               Aucun rapport « apport » écrit car MaxReports a déjà été atteint
ent la configuration de linux-generic-lts-vivid :
 linux-generic-lts-vivid dépend de linux-image-generic-lts-vivid (= 3.19.0.65.47) ; cependant :
 Le paquet linux-image-generic-lts-vivid n'est pas encore configuré.

dpkg: error processing package linux-generic-lts-vivid (--configure):
 problèmes de dépendances - laissé non configuré
Paramétrage de linux-image-4.2.0-42-generic (4.2.0-42.49~14.04.1) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
cp: impossible d'évaluer «/boot/initrd.img-4.2.0-42-generic»: Aucun fichier ou dossier de ce type
Failed to copy /boot/initrd.img-4.2.0-42-generic to /initrd.img at /var/lib/dpkg/info/linux-image-4.2.0-42-generic.postinst line 745.
dpkg: error processing package linux-image-4.2.0-42-generic (--configure):
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 2
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                dpkg: des problèmes de dépendances empêchent la configuration de linux-image-extra-4.2.0-42-generic :
 linux-image-extra-4.2.0-42-generic dépend de linux-image-4.2.0-42-generic ; cependant :
 Le paquet linux-image-4.2.0-42-generic n'est pas encore configuré.

dpkg: error processing package linux-image-extra-4.2.0-42-generic (--configure):
 problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de linux-image-generic-lts-wily :
 linux-image-generic-lts-wily dépend de linux-image-4.2.0-42-generic ; cependant :
 Le paquet linux-image-4.2.0-42-generic n'est pas encore configuré.
 linux-image-generic-lts-wily dépend de linux-image-extra-4.2.0-42-generic ; cependant :
 Le paquet linux-image-extra-4.2.0-42-generic n'est pas encore configuré.

Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                 dpkg: error processing package linux-image-generic-lts-wily (--configure):
 problèmes de dépendances - laissé non configuré
Paramétrage de linux-headers-4.2.0-42 (4.2.0-42.49~14.04.1) ...
Paramétrage de linux-headers-4.2.0-42-generic (4.2.0-42.49~14.04.1) ...
Paramétrage de linux-headers-generic-lts-wily (4.2.0.42.34) ...
dpkg: des problèmes de dépendances empêchent la configuration de linux-generic-lts-wily :
 linux-generic-lts-wily dépend de linux-image-generic-lts-wily (= 4.2.0.42.34) ; cependant :
 Le paquet linux-image-generic-lts-wily n'est pas encore configuré.

dpkg: error processing package linux-generic-lts-wily (--configure):
 problèmes de dépendances - laissé non configuré
Aucun rapport « apport » écrit car MaxReports a déjà été atteint
                                                                Des erreurs ont été rencontrées pendant l'exécution :
 linux-image-3.19.0-65-generic
 linux-image-extra-3.19.0-65-generic
 linux-image-generic-lts-vivid
 linux-generic-lts-vivid
 linux-image-4.2.0-42-generic
 linux-image-extra-4.2.0-42-generic
 linux-image-generic-lts-wily
 linux-generic-lts-wily
E: Sub-process /usr/bin/dpkg returned an error code (1)
parents@Grillo:~$ 
                                                                                                                 

Hors ligne

#22 Le 17/07/2016, à 17:39

xabilon

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Bon, je sais pas trop, mais c'est peut-être un souci analogue à celui-ci.

On va déjà remettre tout ça à peu près en état au niveau des noyaux. À la fin du retour de commande de ton message précédent, il y a "des erreurs ont été rencontrées pendant l'exécution :", suivi d'une liste de paquets. Désinstalle les paquets de cette liste avec sudo apt-get purge nom_du_paquet

Ne fais pas de sudo apt-get autoremove. Dans la liste des "paquets installés qutomatiquement et qui ne sont plus nécessaires", tu peux désinstaller toi-même ceux qui ne concernent pas le noyau 3.19.0-59

Après tout ça, dans ton dossier /boot tu devrais avoir les fichiers abi, config, initrd.img, system.map et vmlinuz pour les noyaux 3.19.0-58 et 3.19.0-61 (celui sur lequel tu tournes actuellement). Il vaut mieux par sécurité garder toujours 2 noyaux qui fonctionnent.

Ensuite, au cas où et parce qu'on sait jamais, vérifie ton disque dur

Dernière modification par xabilon (Le 17/07/2016, à 17:39)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#23 Le 17/07/2016, à 18:20

Eric Bl

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

SMART pour vérifier le disque, je n'ai pas trouvé.

Pour les purges, voici le résultat sur /boot

parents@Grillo:~$ ls /boot
abi-3.19.0-59-generic                      grub.bak                                        memtest86+_multiboot.bin
abi-3.19.0-61-generic                      initrd.img-3.19.0-59-generic          System.map-3.19.0-59-generic
config-3.19.0-59-generic                 initrd.img-3.19.0-61-generic          System.map-3.19.0-61-generic
config-3.19.0-61-generic                 memtest86+.bin                             vmlinuz-3.19.0-59-generic
grub                                                 memtest86+.elf                              vmlinuz-3.19.0-61-generic

Hors ligne

#24 Le 17/07/2016, à 18:23

moko138

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

xabilon a écrit :
moko138 a écrit :

xabilon,
as-tu vu

unknown-block (0,0)

?

Oui, mais je pensais que c'était dû à l'absence de fichier initrd.img pour le noyau en question ; tu as un autre avis là-dessus ?

Je pensais que c'était un problème de lisibilité du 1er secteur du disque.
Mais je me trompe peut-être, je vais demander son avis à Bougron.


%NOINDEX%
Un utilitaire méconnu : ncdu

Hors ligne

#25 Le 17/07/2016, à 19:07

Bougron

Re : [Résolu] kubuntu ne démarre plus après une mise à jour faite par Muon

Eric Bl a écrit :

Bonjour,
........

Hier, kubuntu n'a pas démarré.

Comme je passe par grub, de façon à pouvoir démarrer aussi Windows 10 sur cette machine, j'ai pu constater que les 2 versions 3.19.0-65-generic et 3.19.0-64-generic ne fonctionnaient pas et redémarrer cependant en 3.19.0-61.

Lors de ces démarrages impossibles, en version standard, grub affiche seulement :
Loading linux 3.19.0-65-generic ...

En version recovery, le démarrage s'arrête sur :
[0.5710000] --- [end Kernel panic - not syncing : VFS : Unable to mount root fs on unknown-block (0,0)]

Bonjour.
Cela sent le disque défaillant.
Comme je vois que c'est parti pour la réinstallation des  paquets,   Il serait bon de faire aussi les deux actions suivantes: 
1) Regarder l'état du disque:  Il faut installer l'application GSMARTCONTROL  qui est dans la logithèque et  fournir le résultat de la commande suivante pour interprétation.

sudo   smartctl   -s    on     -a   /dev/sda

2)  Analyser ce qui est cassé dans le système de fichier de ubuntu.

  sudo    fsck   -fvn    /dev/sdaN

avec N le bon numéro de partition.
3)  En fonction de ce qui sera trouvé, une réparation   démarrant en mode recovery avec la partition en lecture sera possible en automatique.

 sudo   fsck   -pyv   /dev/sdaN

Mais je crains un super-block à zéro qui nécessitera une réparation manuelle en fournissant le N° d'un super-block de secours.

Dernière modification par Bougron (Le 17/07/2016, à 19:13)


Ubuntu  BASH 16.04.1 sous windows10  et ubuntu-17.04-beta2 avec le noyau 4.10.0-13 et la future 17.10 depuis le 10 juillet avec le noyau 4.10.0-26
Lubuntu 14.04.4 en 32 bits  et  Lubuntu 16.06.3 en 32 bits noyau 4.10.0-33 pour un vaio pcg-k215s
Ubuntu 16.04.2 avec le noyau 4.4.0-71 et  le noyau 4.8.0.36
Faites votre  auto-dépannage en lisant  https://doc.ubuntu-fr.org/diagnostic.

Hors ligne